{% extends 'dashboard/_private.layout.html.twig' %}

{% block content %}
  <div class="dashboard__container">
    <p>Retrouvez sur cette page l'ensemble des notifications générées par les interventions dont vous avez la
      charge.</p>

        <div class="">
          <button class="fr-btn">Marquer toutes lues</button>
        </div>

    <div class="fr-table fr-table--bordered fr-table--no-scroll" id="table-selectable-component">
      <div class="fr-table__wrapper">
        <div class="fr-table__container">
          <div class="fr-table__content">
            <table id="table-selectable">
              <caption>
                Mes notifications
              </caption>

              <thead>
              <tr>
                <th scope="col" class="fr-cell--fixed" role="columnheader">
                  <span class="fr-sr-only">Sélectionner</span>
                </th>
                <th scope="col">Titre</th>
                <th scope="col">Détail</th>
                <th scope="col">Date</th>
{#                <th scope="col">Intervention</th>#}
                <th scope="col">Actions</th>
              </tr>
              </thead>
              <tbody>
              {% for notification in notifications %}
                <tr id="table-selectable-row-key-{{ loop.index }}" data-row-key="{{ loop.index }}" {{ notification.isRead ?: ' class="aei-text--bold"' }}>
                  <th class="fr-cell--fixed" scope="row">
                    <div class="fr-checkbox-group fr-checkbox-group--sm">
                      <input name="row-select" value="{{ notification.id }}"
                             id="table-select-checkbox-{{ loop.index }}--0" type="checkbox">
                      <label class="fr-label" for="table-select-checkbox-{{ loop.index }}--0">
                        Sélectionner la ligne {{ loop.index }}
                      </label>
                    </div>
                  </th>
                  <td>{{ notification.title }}</td>
                  <td>{{ notification.message }}</td>
                  <td>{{ notification.createdAt|date('d/m/Y H:i') }}</td>
{#                  <td>#}
{#                    {% if notification.intervention %}#}
{#                      <a href="{{ path('app_dashboard_interventions', {employer: app.current_route_parameters.employer}) }}#intervention-{{ notification.intervention.id }}">voir l'intervention</a>#}
{#                    {% endif %}#}
{#                  </td>#}
                  <td>
                    <a href="{{ path('app_dashboard_interventions', {employer: app.current_route_parameters.employer}) }}#intervention-{{ notification.intervention.id }}" class="fr-btn">Consulter l'intervention</a>
                    <button type="button" class="fr-btn fr-btn--secondary">Marquer comme lue</button>
                  </td>
                </tr>
              {% endfor %}
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
    <nav role="navigation" class="fr-pagination" aria-label="Pagination">
      <ul class="fr-pagination__list">
        <li><a class="fr-pagination__link fr-pagination__link--first"
               {% if page == 1 %}aria-disabled="true"
               {% else %}href="{{ path('app_dashboard_notifications', {'employer': app.current_route_parameters.employer, 'page': 1}) }}"{% endif %}
               role="link"> Première
            page </a></li>
        <li><a class="fr-pagination__link fr-pagination__link--prev fr-pagination__link--lg-label"
               {% if page == 1 %}aria-disabled="true"
               {% else %}href="{{ path('app_dashboard_notifications', {'employer': app.current_route_parameters.employer, 'page': page-1}) }}"{% endif %}
               role="link"> Page précédente </a></li>
        {% for p in 1..nbPages %}
          <li><a
              class="fr-pagination__link{% if page != 1 and page != nbPages and (page - p|abs) > 2 %} fr-displayed-lg{% endif %}"
              {% if page == p %}aria-current="page"
              {% endif %}title="Page {{ p }}"> {{ p }} </a></li>
        {% endfor %}
        {#        <li><a class="fr-pagination__link" href="#" title="Page 2"> 2 </a></li> #}
        {#        <li><a class="fr-pagination__link fr-displayed-lg" href="#" title="Page 3"> 3 </a></li> #}
        {#        <li><a class="fr-pagination__link fr-displayed-lg"> … </a></li> #}
        {#        <li><a class="fr-pagination__link fr-displayed-lg" href="#" title="Page 130"> 130 </a></li> #}
        {#        <li><a class="fr-pagination__link fr-displayed-lg" href="#" title="Page 131"> 131 </a></li> #}
        {#        <li><a class="fr-pagination__link" href="#" title="Page 132"> 132 </a></li> #}
        <li><a class="fr-pagination__link fr-pagination__link--next fr-pagination__link--lg-label"
               {% if page == nbPages %}aria-disabled="true"
               {% else %}href="{{ path('app_dashboard_notifications', {'employer': app.current_route_parameters.employer, 'page': page+1}) }}"{% endif %}>
            Page
            suivante </a></li>
        <li><a class="fr-pagination__link fr-pagination__link--last"
               {% if page == nbPages %}aria-disabled="true"
               {% else %}href="{{ path('app_dashboard_notifications', {'employer': app.current_route_parameters.employer, 'page': nbPages}) }}"{% endif %}>
            Dernière page </a></li>
      </ul>
    </nav>
  </div>
{% endblock %}

{% block title %}Notifications{% endblock %}
